GET
/
v1
/
videos
/
{video_id}
Sora / Hailuo / Vidu 视频任务查询
curl --request GET \
  --url https://vip.xmsmartlink.com/v1/videos/{video_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "video_xxxxxxxxxxxxxxxx",
  "size": "720x1280",
  "error": null,
  "model": "sora-2",
  "object": "video",
  "status": "completed",
  "seconds": "8",
  "progress": 100,
  "created_at": 1761706812,
  "expires_at": 1761793212,
  "completed_at": 1761706914,
  "remixed_from_video_id": null
}

Authorizations

Authorization
string
header
required

使用 Authorization: Bearer <YOUR_API_KEY> 进行认证。

Path Parameters

video_id
string
required

Sora video_id、Vidu video_id 或 Hailuo task_id。

Response

视频任务状态和结果。

id
string
task_id
string
object
string
model
string
status
string
progress
integer
created_at
integer<int64>
completed_at
integer<int64>
expires_at
integer<int64>
seconds
string
size
string
error
unknown
metadata
object